
package mobicomp.net;


import mobicomp.interfaces.Message;


/**
 * TODO
 * 
 * @author Andreas Wetzel <andi@spamato.net>
 */
public class SHMessageImpl implements Message
{
    private int sender;
    private int receiver;
    
    private byte[] payload;

    /**
     * @see mobicomp.interfaces.Message#setSender(int)
     */
    public void setSender( int addr) {
        sender = addr;
    }

    /**
     * @see mobicomp.interfaces.Message#getSender()
     */
    public int getSender() {
        return sender;
    }

    /**
     * @see mobicomp.interfaces.Message#setReceiver(int)
     */
    public void setReceiver( int addr) {
        receiver = addr;
    }

    /**
     * @see mobicomp.interfaces.Message#getReceiver()
     */
    public int getReceiver() {
        return receiver;
    }

    /**
     * @see mobicomp.interfaces.Message#setData(byte[])
     */
    public void setData( byte[] data) {
        payload = data;
    }

    /**
     * @see mobicomp.interfaces.Message#getData()
     */
    public byte[] getData() {
        return payload;
    }
    
    public String toString() {
        return "SHMessageImpl [ sender=" + sender + ", receiver=" + receiver + ", datasize=" + payload.length + " ]";
    }
}